TESTING/EIG/zget36.f(3)

NAME
TESTING/EIG/zget36.f

SYNOPSIS

  Functions/Subroutines
subroutine zget36 (rmax, lmax, ninfo, knt, nin)
ZGET36

Function/Subroutine Documentation

  subroutine zget36 (double precision rmax, integer lmax, integer ninfo, integer knt, integer nin)

ZGET36

Purpose:

     ZGET36 tests ZTREXC, a routine for reordering diagonal entries of a
     matrix in complex Schur form. Thus, ZLAEXC computes a unitary matrix
     Q such that
        Q' * T1 * Q  = T2
     and where one of the diagonal blocks of T1 (the one at row IFST) has
     been moved to position ILST.
     The test code verifies that the residual Q'*T1*Q-T2 is small, that T2
     is in Schur form, and that the final position of the IFST block is
     ILST.
     The test matrices are read from a file with logical unit number NIN.

Parameters
    RMAX

              RMAX is DOUBLE PRECISION
              Value of the largest test ratio.

    LMAX

              LMAX is INTEGER
              Example number where largest test ratio achieved.

    NINFO

              NINFO is INTEGER
              Number of examples where INFO is nonzero.

    KNT

              KNT is INTEGER
              Total number of examples tested.

    NIN

              NIN is INTEGER
              Input logical unit number.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 84 of file zget36.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.